package com.ruoyi.web.modules.hub.service;

import java.util.List;
import com.ruoyi.web.modules.hub.domain.BizDataSendRecord;

/**
 * 数据发送记录服务
 */
public interface IBizDataSendRecordService
{
    BizDataSendRecord selectBizDataSendRecordById(Long id);

    List<BizDataSendRecord> selectBizDataSendRecordList(BizDataSendRecord query);

    int insertBizDataSendRecord(BizDataSendRecord row);

    int updateBizDataSendRecord(BizDataSendRecord row);

    int deleteBizDataSendRecordByIds(Long[] ids, String updateBy);
}
